Git development
 help / color / mirror / Atom feed
From: Jonathan Nieder <jrnieder@gmail.com>
To: "Ævar Arnfjörð Bjarmason" <avarab@gmail.com>
Cc: Junio C Hamano <gitster@pobox.com>,
	Elijah Newren <newren@gmail.com>,
	git@vger.kernel.org
Subject: Re: [PATCHv4 02/15] t4017 (diff-retval): replace manual exit code check with test_expect_code
Date: Fri, 1 Oct 2010 06:52:24 -0500	[thread overview]
Message-ID: <20101001115224.GB18405@burratino> (raw)
In-Reply-To: <AANLkTinqVTqxiHL5tEv+-SS6YURGUoWaPxCgpccZgjEq@mail.gmail.com>

Ævar Arnfjörð Bjarmason wrote:
> On Fri, Oct 1, 2010 at 10:23, Jonathan Nieder <jrnieder@gmail.com> wrote:

>> +check_exit_status () {
>> +       echo "$1" >expect.status
>> +       shift
>> +       "$@"
>> +       echo "$?" >actual.status
>> +       test_cmp expect.status actual.status
>> +}
>
> If we add this it should be in the test-lib.sh, it'll probably be
> useful for other tests.

FWIW a more generally useful function would have to look something
like this:

test_exit_status () {
	want_code=$1
	shift
	"$@"
	exit_code=$?
	if test $exit_code = $want_code
	then
		return 0
	else
		echo >&2 "test_exit_status $want_code: command had status $exit_code: $*"
		return 1
	fi
}

to avoid touching the file system.

>                                                               and
> change the tests using test_expect_code in t1504-ceiling-dirs.sh and
> t6020-merge-df.sh to use test_expect_success + test_expect_code.

Not a bad thing to do anyway.

  reply	other threads:[~2010-10-01 11:55 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-09-26 23:14 [PATCHv4 00/15] Add missing &&'s in the testsuite Elijah Newren
2010-09-26 23:14 ` [PATCHv4 01/15] t3020 (ls-files-error-unmatch): remove stray '1' from end of file Elijah Newren
2010-09-26 23:14 ` [PATCHv4 02/15] t4017 (diff-retval): replace manual exit code check with test_expect_code Elijah Newren
2010-09-29 18:07   ` Junio C Hamano
2010-09-29 18:45     ` Ævar Arnfjörð Bjarmason
2010-10-01 10:23       ` Jonathan Nieder
2010-10-01 10:38         ` Ævar Arnfjörð Bjarmason
2010-10-01 11:52           ` Jonathan Nieder [this message]
2010-10-01 16:20           ` Junio C Hamano
2010-10-01 17:16             ` [PATCH] test-lib: make test_expect_code a test command Ævar Arnfjörð Bjarmason
2010-10-01 17:39               ` Sverre Rabbelier
2010-10-01 17:46                 ` Ævar Arnfjörð Bjarmason
2010-10-01 17:47                   ` Sverre Rabbelier
2010-10-01 17:42               ` [PATCH v2] " Ævar Arnfjörð Bjarmason
2010-10-01 18:55               ` [PATCH] " Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 03/15] t100[12] (read-tree-m-2way, read_tree_m_u_2way): add missing && Elijah Newren
2010-09-29 18:28   ` Junio C Hamano
2010-10-01 10:27     ` Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 04/15] t4002 (diff-basic): use test_might_fail for commands that might fail Elijah Newren
2010-10-01 10:35   ` Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 05/15] t4202 (log): Replace '<git-command> || :' with test_might_fail Elijah Newren
2010-09-26 23:14 ` [PATCHv4 06/15] t3600 (rm): add lots of missing && Elijah Newren
2010-10-01 10:48   ` Jonathan Nieder
2010-10-03  2:47     ` Elijah Newren
2010-09-26 23:14 ` [PATCHv4 07/15] t4019 (diff-wserror): " Elijah Newren
2010-09-29 19:01   ` Junio C Hamano
2010-10-03  3:03     ` Elijah Newren
2010-10-01 11:00   ` Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 08/15] t4026 (color): remove unneeded and unchained command Elijah Newren
2010-09-26 23:14 ` [PATCHv4 09/15] t5602 (clone-remote-exec): add missing && Elijah Newren
2010-09-29 19:09   ` Junio C Hamano
2010-10-01 11:34     ` Jonathan Nieder
2010-10-03  3:08       ` Elijah Newren
2010-09-26 23:14 ` [PATCHv4 10/15] t6016 (rev-list-graph-simplify-history): " Elijah Newren
2010-09-27  0:10   ` Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 11/15] t7001 (mv): " Elijah Newren
2010-09-26 23:14 ` [PATCHv4 12/15] t7601 (merge-pull-config): " Elijah Newren
2010-09-26 23:14 ` [PATCHv4 13/15] t7800 (difftool): " Elijah Newren
2010-10-01 11:30   ` Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 14/15] Add missing &&'s throughout the testsuite Elijah Newren
2010-09-29 19:37   ` Junio C Hamano
2010-10-01  0:48   ` Ævar Arnfjörð Bjarmason
2010-10-01 11:26   ` Jonathan Nieder
2010-09-26 23:14 ` [PATCHv4 15/15] Replace "unset VAR" with "unset VAR;" in testsuite as per t/README Elijah Newren
2010-09-29 19:48   ` Junio C Hamano
2010-09-29 20:28     ` Ævar Arnfjörð Bjarmason
2010-09-29 20:30     ` Elijah Newren
2010-09-30 16:09       ` Junio C Hamano
2010-09-30 21:51         ` Elijah Newren
2010-10-01 11:45           ` Jonathan Nieder
2010-10-01 14:39             ` Sverre Rabbelier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20101001115224.GB18405@burratino \
    --to=jrnieder@gmail.com \
    --cc=avarab@gmail.com \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=newren@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox